﻿using Kivii.OnlineCustomization.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kivii.OnlineCustomization.Requests
{
    #region Request
    /// <summary>
    /// 获取进行中的三方检测单据列表(包含单据基本信息和检测项信息)
    /// </summary>
    [Route(Configs.RouteGetWtsList)]
    public class OnlineOrderGetWtsList : IReturn<RestfulQueryResponse<OnlineOrder>>
    {
        public virtual int? Skip { get; set; }

        public virtual int? Take { get; set; }

        public virtual string OrderBy { get; set; }

        public string OrderByDesc { get; set; }

        public virtual string Include { get; set; }

        public virtual string Fields { get; set; }

        public string QueryKeys { get; set; }

        public string QueryValues { get; set; }

        /// <summary>
        /// 开始日期
        /// </summary>
        public DateTime? BeginTime { get; set; }

        /// <summary>
        /// 结束日期
        /// </summary>
        public DateTime? EndTime { get; set; }
    }

    [Route(Configs.RouteUpdateWtsResult)]
    public class OnlineOrderUploadResults : IReturn<RestfulUpdateResponse<OnlineOrder>>
    {
        public string OrderId { get; set; }
        public List<string> ReportPaths { get; set; }
    }

    [Route(Configs.RouteRejectWts)]
    public class OnlineOrderReject : IReturn<RestfulUpdateResponse<OnlineOrder>>
    {
        public string OrderId { get; set; }
    }
    [Route(Configs.RouteAcceptWts)]
    public class OnlineOrderAccept
    {
        public string OrderId { get; set; }
    }
    #endregion
    #region
    public class OnlineOrderResponse
    {
        public bool Success { get; set; }
        public string Message { get; set; }
    }
    #endregion
}
