﻿using Kivii.Lims.Entities;
using Kivii.Linq;
using Kivii.OnlineCustomization.Entities;
using Kivii.OnlineCustomization.Extensions;
using Kivii.Web;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Remoting.Metadata.W3cXsd2001;
using System.Text;
using System.Threading.Tasks;

namespace Kivii.OnlineCustomization.Transforms
{
    [RequiresAnyRole(SystemRoles.Everyone)]
    public class OnlineOrderAccept : RestfulExecution<OnlineOrder>
    {
        public string docNumber { get; set; }
        public override object OnExecution(IRequest req, IResponse res)
        {
            var rtns = new RestfulQueryResponse<ThirdReportOrder>();
            rtns.Results = new List<ThirdReportOrder>();
            var _client = new JsonHttpClient(Configs._defaultUrl);
            var conn = KiviiContext.GetOpenedDbConnection<ThirdReportOrder>();
            //DateTime? maxTranslateTime = conn.Scalar<ThirdReportOrder, DateTime>(o => Sql.Max(o.OperateTime), p => p.ThirdType == typeof(JoeoneOrder).FullName);
            DateTime maxTranslateTime = conn.Scalar<ThirdReportOrder, DateTime>(o => Sql.Max(o.OperateTime), p => p.ThirdType == typeof(OnlineOrder).FullName);
            if (maxTranslateTime == null || maxTranslateTime == DateTime.MinValue)
            {
                DateTime.TryParse("2025-01-01", out maxTranslateTime);
            }
            var resp = _client.PullOrders(null,null, maxTranslateTime);
            if (resp == null) throw new Exception("未能获取订单接口响应!");
            rtns.Results = resp.Results.AcceptThirdContractOrder(null,null,conn);

            rtns.Total = rtns.Results.Count;
            return rtns;
        }
    }
}
